<template>
  <div>
    <a-spin :spinning="loading">
    </a-spin>
  </div>
</template>

<script >
export default {
  data () {
    return {
      loading: false
    }
  },
  mounted () {
    this.loading = true
    const params = window.location.href.split('?')[1]
    console.log('%c [ params ]-18', 'font-size:13px; background:pink; color:#bf2c9f;', params)
    const searchParams = params.split('=')
    console.log('%c [ searchParams ]-19', 'font-size:13px; background:pink; color:#bf2c9f;', searchParams[1])
    localStorage.removeItem('mgt_token')
    setTimeout(() => {
      localStorage.mgt_project = 'YINXIANGMAZU'
      localStorage.mgt_token = searchParams[1]
      this.loading = false
      this.$router.push('/index/dashboard')
    }, 500)
  }
}

</script>

<style lang="scss" scoped>

</style>
